type: prog

niveau: défi

titre: Plage Multiples -4-

objectif: Définir et utiliser une fonction qui retourne les multiples d’un nombre dans un tableau dynamique

énoncé: |
  On souhaite déterminer tous les **multiples** d'un `nombre` entier situés entre les limites `min` et `max` inclues.  
  Ces multiples sont à déterminer par une **fonction** qui les **retourne** dans un tableau dynamique.  
  Le `nombre` et les limites `min` et `max` sont reçus en entrée dans le programme principal, puis **transmis en paramètre à la fonction**.  
  Considérer le cas particulier où `nombre` est **nul**, ses multiples étant zéro.


  ### Entrées

  - `nombre` : le nombre dont en détermine les multiples (nombre entier)
  - `min` : la limite minimale (nombre entier)
  - `max` : la limite maximale (nombre entier)

  ### Sorties attendues

  Les multiples de `nombre` entre `min` et `max` (nombres entiers)

  ### À faire

  Compléter le code qui produit en sortie les multiples de `nombre` entre `min` et `max` , chacun sur une ligne.

  ### Exemples

  1. Nombre et limite réduites

   - Entrées :
  ```
      2
      4
      8

  ```

   - Sorties attendues :
  ```
     4
     6
     8

  ```
  2. Nombre et limites étendues

   - Entrées :
  ```
      10
      20
      80

  ```

   - Sortie attendue :
  ```
     20
     30
     40
     50
     60
     80

  ```
ébauches:
    java: !include exec.java


rétroactions:
    positive: Bravo !
    négative: |
      Il faut définir un tableau avant d'appeler la fonction dans le programme principal, et lui assigner l'appel de fonction puisque celle-ci retourne un tableau..

tests: !include tests.yml
auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA
